# KPITAINE Tooling



################ FRANÇAIS ################
# Synchronisation de fichiers avec le Kpitaine Drive via le protocole sFTP
#
# @author it@kpitaine.com
# Pour toute question, consulter la FAQ sur le rubrique dédiée
#
# @see https://faq.kpitaine.com/sources-de-données/kpitaine-drive/synchronisation-kpitaine-drive
#
# Vous pouvez aisément modifier le comportement de la synchronisation
# selon vos souhaits en personnalisant le script à votre guise.
# Plus d'information sur les possibilités de l'API WinSCP sur
# https://winscp.net/eng/docs/library


################ ENGLISH ################
# File synchronization from your files server to Kpitaine Drive repository
#
# @author it@kpitaine.com
#
# @see https://faq.kpitaine.com/sources-de-données/kpitaine-drive/synchronisation-kpitaine-drive
#
# You can customize sync behavior by changing `kpitaine-drive-upload.ps1` powershell script.
# More details about WinSCP API on
# https://winscp.net/eng/docs/library


#
############ CONFIGURATION / SETTINGS ##############

# Login
# Nom d'utilisateur fourni par Kpitaine pour se connecter au serveur sFTP
# Your username is provided by Kpitaine Support Team
$SERVER_USERNAME = ""

# Certificat / Certificate
# Chemin complet du certificat RSA privé utilisé pour ce connecter au serveur sFTP
# Le certificat public doit avoir été envoyé à l'équipe KPITAINE

# Complete fullpath to your RSA SSH certificate.
# Used for sFTP server authentifcation. You have to send public part to Kpitaine Team
$SERVER_CERTFILE = "$HOME/.ssh/kpitaine-cert.ppk"


# Positionner ici le chemin local à synchroniser avec le serveur Kpitaine
# The fullpath directory to synchronize with Kpitaine Drive repository
$SRC_PATH = "$HOME/public"

# Positionner ici le sous répertoire du KPITAINE DRIVE.
# Laisser / si vous voulez synchroniser l'ensemble du Kpitaine Drive
# Subpath in Kpitaine Drive repository where to put your files.
# Let / if you want to synchronize full repository
$DEST_PATH = "/"

# Mode de synchronisation complet / Synchronization mode

# Est ce qu'on doit supprimer les fichiers disparus ?
#  - $true : on supprime les fichiers disparus de la source
#  - $false : on ne fait que copier les fichiers d'origine, sans supprimer les fichiers disparus
#       Ce mode peut être très utile si vous utilisez par ailleurs le Kpitaine Drive directement depuis l'application Kpitaine sur le même dossier

# Should deleted files be deleted on repository ?
#  - $true : sync will remove all deleted files on source path
#  - $false : just copy new files and file changes. No deletion.
#       Can be usefull if you use Kpitaine Drive also manually, from Cockpit.
[bool] $FULL_MIRRORING = $true


# Mode silencieux (pour limiter la verbosité de la sortie)
# Silent mode
[bool] $QUIET = $false

############ FIN DE LA CONFIGURATION SPÉCIFIQUE ##############


## SERVEUR KPITAINE // KPITAINE SERVER host & port
$SERVER_HOST = "ftp.kpitaine.com"
$SERVER_PORT = 9020
